Subject: Re: [PATCH net 2/4] net/smc: Fix smc_link->llc_testlink_time overflow

From: Tony Lu <[email-masked]>
Date: Thu, 28 Oct 2021 14:52:09 +0800

On Wed, Oct 27, 2021 at 12:24:18PM +0200, Karsten Graul wrote:
> On 27/10/2021 10:52, Tony Lu wrote:
> > From: Tony Lu <[email-masked]>
> > 
> > The value of llc_testlink_time is set to the value stored in
> > net->ipv4.sysctl_tcp_keepalive_time when linkgroup init. The value of
> > sysctl_tcp_keepalive_time is already jiffies, so we don't need to
> > multiply by HZ, which would cause smc_link->llc_testlink_time overflow,
> > and test_link send flood.
> 
> Thanks for fixing this, we will include your patch in our next submission
> to the netdev tree.

Thanks for your reply. There is a little mistake for my email address,
the wrong email address ([email-masked]) should be corrected
to [email-masked]. I will send these two patches with the next
one in v2.

Cheers,
Tony Lu